// JavaScript Document

/* testing jquery library */
$(document).ready(function(e) {
    $(".btn").on("show", function() {    // wire up the OK button to dismiss the modal when shown
        $("#btn").on("click", function(e) {
            console.log("button pressed");   // just as an example...
            $("#myModal").modal('hide');     // dismiss the dialog
        });
    });
});

// initialise Superfish
$(document).ready(function(){
	$("#awmenu ul").supersubs({
		minWidth:    5,   // minimum width of sub-menus in em units
		maxWidth:    15,   // maximum width of sub-menus in em units
		extraWidth:  1     // extra width can ensure lines don't sometimes turn over
						   // due to slight rounding differences and font-family
	}).superfish({
		delay:       200,                            // one second delay on mouseout
		animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
        speed:       'slow',
        autoArrows: false,
        dropShadows: false
	});  // call supersubs first, then superfish, so that subs are
		 // not display:none when measuring. Call before initialising
		 // containing tabs for same reason.
});


//to active chosen 
$(document).ready(function(e) {
    $(".chzn-select").chosen({allow_single_deselect:true})
});



